﻿/**
 * Created by zhaohuanlei on 2015/4/22.
 */

$(function () {

    //疾病自查
    function examineFilter() {
        if(!$(".examine-sort").length) return;
        var sort = $(".examine-sort"),
            items = sort.find("li"),
            title = sort.find("h2"),
            firstItem = items.eq(0),
            firstAnchor = firstItem.find("a"),
            firstTitle = firstItem.find("h2"),
            firstTitleText = firstTitle.text(),
            lastItem = items.eq(1),
            lastTitle = lastItem.find("h2"),
            view = $(".examine-view"),
            inner = view.find(".inner"),
            classname = "selected";

        //取消click事件300毫秒延迟
        if (typeof FastClick != "undefined" && sort.length) {
            //FastClick.attach(sort[0]);
        }

        firstTitle.on("click", function () {
            firstItem.toggleClass(classname);
            firstTitle.addClass("on");
            lastItem.removeClass(classname);
            lastTitle.removeClass("on");
            view.on("tap", function () {
                firstItem.removeClass(classname);
            });
            return false;
        });
        lastTitle.on("click", function () {
            lastItem.toggleClass(classname);
            lastTitle.toggleClass("on");
            firstItem.removeClass(classname);
            firstTitle.toggleClass("on");
            view.on("tap", function () {
                lastTitle.removeClass("on");
                lastItem.removeClass(classname);
                setTimeout(function () {
                    firstTitle.addClass("on");
                }, 300);
            });
            return false;
        });
        firstAnchor.on("click", function() {
            var self = $(this),
                index = self.index(),
                text = self.text();
            inner.css({
                "transform": "translateX(-"+ index * 50 +"%)",
                "-webkit-transform": "translateX(-"+ index * 50 +"%)"
            });
            firstTitle.addClass("on").text(firstTitleText + "[" + text + "]");
            firstItem.removeClass(classname);
        });
        firstAnchor.eq(0).trigger("click");
    }
    examineFilter();

    //症状列表
    function symptomList() {
        var examineSymptom = $(".examine-symptom"),
            title = examineSymptom.find("h2"),
            item = examineSymptom.find("li"),
            len = item.length,
            pageHtml = "";
        if (len < 10) return;
        title.each(function () {
            var self = $(this),
                flag = self.text();
            pageHtml += "<a href='javascript:;'>" + flag + "</a>";
        });
        var floatPage = $("<aside class='float-page'><p>"+ pageHtml +"</p></aside>").appendTo(examineSymptom.parent());
        floatPage.on("click", "a", function () {
            var index = $(this).index(),
                posY = title.eq(index).offset().top;
            $(window).scrollTop(posY);
        });
    }
    symptomList();

});