﻿/**
 * 提醒安装app
 * Created by 赵欢磊 on 2015/5/26.
 * Ended by 2015/6/12
 */

(function hasPet() {
    if (window.location.href.indexOf("petShareFrom") == -1) return; //如果在有宠app打开
    var ua = navigator.userAgent,
        isIos = ua.match(/iPhone|iPod|iPad/i),
        isAndroid = ua.match(/Android/i),
        isWeixin = ua.match(/MicroMessenger/i),
        hd = document.head,
        bd = document.body,
        tipHtml = '\
                    <div class="fixed-tip-pet">\
                        <a href="javascript:;" class="btn-close">&times;</a>\
                        <a href="http://www.ycw.com/" class="btn-down">\
                            <i class="icon-yc"></i>\
                            <span class="desc c">\
                                <span class="name">有宠</span>\
                                <span class="sub-name">最有爱的宠物社区</span>\
                            </span>\
                            <span class="op">立即下载</span>\
                        </a>\
                    </div>',
        tipStyle = '\
                    <style>\
                        .fixed-tip-pet {width:100%;position:fixed;bottom:0;left:0;z-index:101;overflow:hidden;background-color:rgba(0,0,0,0.8);-webkit-transition:all .4s;-moz-transition:all .4s;transition:all .4s;}\
                        .fixed-tip-pet .btn-close {height:100%;position:absolute;top:0;left:0;z-index:1;padding:10px;color:#fff;font:20px/36px arial;text-decoration:none;}\
                        .fixed-tip-pet .btn-down {height:42px;padding:8px 15px 8px 20px;display:block;color:#fff;text-decoration:none;}\
                        .fixed-tip-pet .icon-yc {width:42px;height:42px;float:left;margin:0 3px 0 10px;display:inline-block;background:#f2473d url(http://res.ycw.com/app/images/icon-x80.png) no-repeat;background-size:contain;border-radius:5px;}\
                        .fixed-tip-pet .desc {max-width:50%;float:left;padding-left:5px;}\
                        .fixed-tip-pet .desc span {width:100%;overflow:hidden;text-overflow:ellipsis;white-space:nowrap;display:block;}\
                        .fixed-tip-pet .name {height:18px;margin:3px;overflow:hidden;text-indent:100%;white-space:nowrap;font-size:14px;background:url(http://res.ycw.com/app/images/icon-yp.png) no-repeat;background-size:contain;}\
                        .fixed-tip-pet .sub-name {margin-left:4px;font-size:12px;}\
                        .fixed-tip-pet .op {float:right;margin-top:5px;padding:0 10px;line-height:33px;font-size:13px;background-color:#f2473d;border-radius:5px;overflow:visible;}\
                    </style>';
    hd.insertAdjacentHTML("beforeend", tipStyle);
    bd.insertAdjacentHTML("beforeend", tipHtml);
    bd.classList.add("haspet");
    var fixedTip = document.querySelector(".fixed-tip-pet"),
        btnDown = fixedTip.querySelector(".btn-down"),
        btnClose = fixedTip.querySelector(".btn-close"),
        downLink = btnDown.href;
    if (isWeixin) {
        downLink = "http://a.app.qq.com/o/simple.jsp?pkgname=yourpet.client.android";
    } else if (isIos) {
        downLink ="https://itunes.apple.com/cn/app/you-chong/id1007280366?mt=8";
    } else if (isAndroid) {
        downLink = "http://res.ycw.com/dl/android/yourpet_v2.1.0_2016-01-22_official.apk";
    }
    btnDown.href = downLink;
    btnClose.onclick = function () {
        fixedTip.style.opacity = 0;
        setTimeout(function () {
            fixedTip.style.display = "none";
        }, 400);
        bd.classList.remove("haspet");
    }
})();