﻿/**
 * 等级勋章
 * Created by 赵欢磊 on 2015/5/15.
 */


$(function () {
	
    //名字中的表情
	function nameEmoji(uName) {
        var name = $(".profile .name");
        pet.loadFile(pet.path + "app/js/emojiface.js", function () {
            name.html(emojiface.code2Img(decodeURIComponent(uName)));
        });
    }

    //勋章
    function myMedal() {

        var //URL 参数 ?icon=头像&nickName=名字&likeCount=获赞总数
            url = window.location.search,
            uHead = url.split("icon=")[1].split("&")[0].split("_")[0]+"_s100",
            uName = url.split("nickName=")[1].split("&")[0],
            uLike = parseInt(url.split("likeCount=")[1]),

            //Dom 数据
            profile = $(".medal-profile"),
            head = profile.find(".head-img"),
            name = profile.find(".name"),
            appe = profile.find(".appe"),
            iconMedal = profile.find(".person .icon-medal"),
            surplus = profile.find(".surplus"),
            ratio = profile.find(".ratio"),
            currentMedal = profile.find(".current.icon-medal"),
            nextMedal = profile.find(".next.icon-medal"),
            likes = [0, 1, 201, 1401, 4001, 8601, 15801, 26201, 40401],
            appes = ["无名宠", "集赞小宠", "集赞名宠", "集赞奇宠", "集赞幻宠", "集赞灵宠", "集赞圣宠", "集赞仙宠", "集赞神宠"],
            len = likes.length,
            maxLike = likes[len-1],
            index = 0;

        //计算 输出结果
        for (var i=0; i<len; i++) {
            if (uLike < likes[i]) {
                index = i - 1;
                break;
            }
        }
        var diff = likes[index+1] - uLike,
            percent = (uLike - likes[index]) / (likes[index+1] - likes[index]) * 100 + "%";
        if (uLike >= maxLike) {
            nextMedal.hide();
            diff = 0;
            index = len-1;
        }
		
        nameEmoji(uName);
        appe.text(appes[index]);
        head.attr("src", uHead);
        iconMedal.attr("src", "http://res.ycw.com/app/images/info/medal-"+ index +".png");
        currentMedal.attr("src", "http://res.ycw.com/app/images/info/medal-"+ index +".png");
        nextMedal.attr("src", "http://res.ycw.com/app/images/info/medal-"+ (index + 1) +".png");
        surplus.text(diff);
        setTimeout(function () {
            ratio.css("width", percent);
        });
    }
    myMedal();


    //等级
    function myLevel() {

        var //URL 参数 ?icon=头像&nickName=名字&activeDays=活跃天数&todayActive=今天任务是否完成&authFlag=0、1
            url = window.location.search,
            uHead = url.split("icon=")[1].split("&")[0].split("_")[0]+"_s100",
            uName = url.split("nickName=")[1].split("&")[0],
            uActiveDays = parseInt(url.split("activeDays=")[1]),
            uTodayActive = parseInt(url.split("todayActive=")[1]),
            uAuth = parseInt(url.split("authFlag=")[1]) || 0,

        //Dom 数据
            profile = $(".level-profile"),
            headBox = profile.find(".head"),
            head = profile.find(".head-img"),
            name = profile.find(".name"),
            iconLv = profile.find(".icon-lv"),
            flagUnfinished = profile.find(".flag-unfinished"),
            flagCompleted = profile.find(".flag-completed"),
            surplus = profile.find(".surplus"),
            ratio = profile.find(".ratio"),
            current = profile.find(".current"),
            next = profile.find(".next"),
            lv = parseInt(Math.sqrt(uActiveDays));

        //计算 输出结果
        var diff = Math.pow(lv + 1, 2) - uActiveDays,   //下一级需要天数 - 活跃天数
            percent = (uActiveDays - Math.pow(lv, 2)) / (lv * 2 + 1) * 100 + "%";   //(升级下一级已完成天数)/(升级下一级所需天数)

        if (uActiveDays >= 900) {
            diff = 0;
            next.hide();
            percent = "100%";
        }

        nameEmoji(uName);
        head.attr("src", uHead);
        iconLv.attr("src", "http://res.ycw.com/app/images/info/lv-"+ lv +".png");
        current.text("LV" + lv);
        next.text("LV" + (lv + 1));
        surplus.text(diff);
        setTimeout(function () {
            ratio.css("width", percent);
        });
        if (uTodayActive == 1) {
            flagUnfinished.hide();
            flagCompleted.show();
        }

        //头像添加认证图标
        if (uAuth == 1) {
            headBox.addClass("auth");
        }

    }
    myLevel();



});