﻿/**
 * Created by 赵欢磊 on 2015/4/9.
 */


$(function (){

    //宠物百科
    function petpedia() {

        var win = $(window),
            winHeight = win.height(),
            url = window.location.href,
            chineseName = url.split("chineseName=")[1],
            root = $("html"),
            container = $(".container"),
            main = $(".pedia-main"),
            content = $(".pedia-content"),
            title = content.find("h2"),
            //cnName = content.find(".cn-name"),
            catalogHtml = "",
            postop = 0,
            scrolltop = 0,
            timer = null;

        //生成侧边栏
        title.each(function () {
            var self = $(this),
                selfText = self.text();
            catalogHtml += "<li>" + selfText + "</li>";
        });
        var petHtml = "<aside class='pedia-catalog'>\
                            <h2>目录</h2>\
                            <div class='catalog-list'><ul>" + catalogHtml  + "</ul></div>\
                        </aside>\
                        <aside class='float-bar'>\
                            <a class='btn-catalog' href='javascript:;'></a>\
                            <a class='btn-gotop' href='javascript:;'></a>\
                        </aside>\
                        <div class='mask'></div> ";
        container.append(petHtml);

        //浮动标题
        var floatTitle = $("<h2 class='float-title'>" +  title.eq(0).text() + "</h2>").appendTo(container),
            floatBar = $(".float-bar"),
            btnCatalog = $(".btn-catalog"),
            btnGotop = $(".btn-gotop");
        win.on("touchmove scroll load", function () {
            scrolltop = win.scrollTop();
            scrolltop > winHeight ? floatBar.addClass("on") : floatBar.removeClass("on");            
			scrolltop = win.scrollTop();
			title.each(function () {
				var self = $(this),
					selfText = self.text();
				postop = parseInt(self.position().top);
				if (scrolltop >= postop) {
					floatTitle.text(selfText);
				}
			});
        });

        //侧边栏展开关闭
        var mask = $(".mask"),
            catalog = $(".pedia-catalog"),
            catalogList = $(".catalog-list"),
            catalogItems = catalogList.find("li"),
            catalogTitle = catalog.find("h2"),
            stopDefault = function (event) {
                event.preventDefault();
            };

        //浏览器缩放的时候，重置侧边栏高度
        function toResize() {
            var catalogTitleHeight = catalogTitle.height();
            winHeight = win.height();
            catalog.height(winHeight);
            catalogList.height(winHeight - catalogTitleHeight);
        }
        toResize();
        win.on("resize", toResize);

        //侧边栏
        function catalogHide() {
            root.removeClass("open");
            win.off("touchmove", stopDefault);
        }
        btnCatalog.on("tap", function () {
            root.addClass("open");
            mask.on("tap", function () {
                catalogHide();
            });
            win.on("swipeLeft", function () {
                catalogHide();
            });
            catalogItems.on("tap", function () {
                var index = $(this).index();
                postop = parseInt(title.eq(index).offset().top);
                win.scrollTop(postop);
                catalogHide();
                catalogItems.off("tap");
            });
            toResize();
            win.on("touchmove", stopDefault);
        });
        content.on("swipeRight", function () {
            btnCatalog.trigger("tap");
        });
        btnGotop.on("tap", function () {
            win.scrollTop(0);
        });

        if (typeof IScroll != "undefined") {
            var myScroll = new IScroll(".catalog-list", { mouseWheel: true, click: true });
            catalogList.css("overflow-y", "hidden");
        }

        //修改title名字
        if (chineseName) {
            var name = decodeURIComponent(chineseName.split("&")[0]);
            $("title").text(name);
        }

    }

    petpedia();

    if (pet.isWeixin()) {
        pet.loadFile(pet.path + "app/js/wxshare.js", function () {
            wxShare({
				desc: "有宠及时分享新潮的宠物新闻宠物趣事,逗趣的宠物图片宠物视频,全面的宠物医疗宠物养护宠物训练宠物美容等知识,专业的宠物专家在线问答."
			});
        })
    }
	if (pet.isShare()) {
		pet.loadFile(pet.path + "app/js/haspet.js");
	}

});
/**
 title:"xxx"
 content:"你获得了胜利" //分享类容
 icon:"http://1223232.jpg"  //头像
 url:"http://www.ycw.com"

function petHtmlShare() {
    var url = window.location.href;
    var title =$("title").text()||"";
    if (url.indexOf("/book/breed/") > -1) {
        title = "品种百科";
    }
    if (url.indexOf("/book/disease/") > -1) {
        title = "疾病百科";
    }
    if (url.indexOf("/book/tiro/") > -1) {
        title = "新手养宠";
    }
    if (url.indexOf("/book/read/") > -1) {
        title = "读心术";
    }
    if (url.indexOf("/book/pregnancy/") > -1) {
        title = "怀孕百宝箱";
    }
    if (url.indexOf("/book/help/") > -1) {
        title = "紧急自救";
    }
    var	content =  $("title").text() || "有宠及时分享新潮的宠物新闻宠物趣事,逗趣的宠物图片宠物视频,全面的宠物医疗宠物养护宠物训练宠物美容等知识,专业的宠物专家在线问答.",
        icon = "http://res.ycw.com/app/images/icon-x300.png";
    location.href='youchong://sns/shareNew?title='+title+'&content='+content+'&icon='+icon+'&url='+url;
}
 */