/**
 * 个人资料、宠物资料
 * Created by ZhaoHuanLei on 2015/11/23.
 */


//自适应 rem计算
pet.adaptive();


$(function () {

    if (pet.isShare()) {
        pet.loadFile(pet.path + "app/js/haspet.js");
    }
    if (pet.isWeixin()) {
        pet.loadFile(pet.path + "app/js/wxshare.js", function () {
            wxShare({
                img: $(".head img").attr("src")
            });
        })
    }


    pet.loadFile(pet.path + "app/js/emojiface.js", function () {
        $(".share .desc, .main .name").each(function () {
            var self = $(this);
            self.html(emojiface.code2Img(decodeURIComponent(self.text())));
        });
    });

    var slide = $(".slide-container"),
        slideWrap = slide.find(".slide-wrap"),
        slideItem = slide.find(".slide-item"),
        itemLen = slideItem.length,
        slidePage = slide.find(".slide-page a"),
        index = 0;
    function slideSwitch(index) {
        var posX = -6.4 * index;
        slideWrap.css({"-webkit-transform": "translate3d(" + posX + "rem,0,0)", "transform": "translate3d(" + posX + "rem,0,0)"});
        slidePage.removeClass("selected").eq(index).addClass("selected");
    }
    slideItem.on("swipeLeft", function () {
        if (index >= itemLen - 1) return;
        index++;
        slideSwitch(index);
    });
    slideItem.on("swipeRight", function () {
        if (!index) return;
        index--;
        slideSwitch(index);
    });


});