﻿/**
 * 转盘
 * Created by 赵欢磊 on 2015/11/7.
 * 20160128 修改
 */

$(function () {

    function lottery() {
        var tumEventId = pet.queryString("id"),
            sessionKey = pet.queryString("sessionKey"),
            recordId = pet.queryString("recordId"),
            bd = $("body"),
            plate = $(".plate"),
            platePhoto = plate.children("img"),
            pointerPhoto = $(".pointer > img"),
            btnRotate = $(".btn-rotate"),
            sum = plate.data("sum");


        //关闭弹窗
        function popupClose() {
            var popup = $(".popup, .popup-overlay");
            popup.css("opacity", 0);
            setTimeout(function () {
                popup.remove();
            }, 500);
        }
        bd.on("click", ".opera-close", popupClose);

        function popupTips(text) {
            popupClose();
            bd.append('\
                    <div class="popup-overlay"></div>\
                    <div class="popup popup-gold-confirm">\
                        <div class="matter">' + text + '</div>\
                        <div class="btn-box">\
                            <a class="btn btn-short opera-close">知道了</a>\
                            <a class="btn btn-close opera-close">关闭</a>\
                        </div>\
                    </div>');
        }

        btnRotate.on("click", function () {
            if (btnRotate.attr("data-drawing") || pet.isShare()) return;
            $.ajax({
                dataType: "jsonp",
                url: pet.scoreRequest + "turntable/isDraw.do?tumEventId="+ tumEventId + "&sessionKey=" + sessionKey + "&jsonCallback=?",
                success: function (json) {
                    var retCode = json.retCode, //1有抽奖次数，2无抽奖次数
                        coin = json.coin;   //扣除宠币数量
                    //console.log(json);

                    //抽
                    function draw() {
                        btnRotate.attr("data-drawing", "1");
                        $.ajax({
                            dataType: "jsonp",
                            url: pet.scoreRequest + "turntable/draw.do?tumEventId="+ tumEventId + "&sessionKey=" + sessionKey + "&jsonCallback=?",
                            success: function (data) {
                                //console.log(data);
                                if (!data.code) {
                                    popupTips(data.description);
                                } else {
                                    var code = data.code,   //0不中奖，提示description 1中奖
                                        address = data.address, //收货地址
                                        description = data.description, //提示语
                                        prizeInfo = data.prize, //奖品信息
                                        icon = prizeInfo.icon,  //奖品图片
                                        id = prizeInfo.id,  //转盘第几个中奖
                                        name = prizeInfo.name,  //奖品名字
                                        type = prizeInfo.type,  //奖品类型 1不中奖 2虚拟物品 3实物
                                        matter; //获奖提示语
                                    recordId = data.recordId;   //跳转ID
                                    var lucky = new turntable({
                                        elem: platePhoto[0],
                                        sum: sum,
                                        num: sum - id + 1,
                                        callback: function () {
                                            if (type == 1) {
                                                bd.append('<div class="popup-overlay"></div>\
                                                                <div class="popup popup-notprize">\
                                                                    <div class="matter">哎呦，差一点就中奖咯<br/>再来一次吧！</div>\
                                                                    <div class="btn-box">\
                                                                        <a class="btn btn-close opera-close">关闭</a>\
                                                                    </div>\
                                                                </div>');
                                            } else {
                                                if (type == 2) {
                                                    matter = "温馨提示：您的宠币已成功充值，如有疑问请联系有宠小助手。";
                                                } else if (type == 3) {
                                                    matter = "温馨提示：奖品将寄往您的默认收货地址，如未填写或变更请及时联系有宠小助手。";
                                                }
                                                var btnShareLink = "youchong://sns/shareNew?title=" + encodeURIComponent("“幸运大转盘”活动，我抽到了"+ name +"，你也来试试吧！") + "&content=" + encodeURIComponent("嗨翻了~有宠幸运大转盘，海量礼品任抢，猛戳参与吧") + "&icon=" + encodeURIComponent(icon) + "&url=" + encodeURIComponent(pet.scoreRequest + "turntable/index.do?id=" + pet.queryString("id"));
                                                bd.append('<div class="popup-overlay"></div>\
                                                                <div class="popup popup-prize">\
                                                                    <div class="info">\
                                                                        <div class="photo"><img src="' + icon + '"></div>\
                                                                        <div class="name ell">' + name + '</div>\
                                                                    </div>\
                                                                    <div class="matter">' + matter + '</div>\
                                                                    <div class="btn-box">\
                                                                        <a class="btn btn-share" href="' + btnShareLink + '">确定</a>\
                                                                        <a class="btn btn-close opera-close">关闭</a>\
                                                                    </div>\
                                                                </div>');
                                            }
                                            btnRotate.removeAttr("data-drawing");
                                        }
                                    });
                                }


                            }
                        });
                    }

                    if (retCode == 1) {
                        if (coin) {
                            popupClose();
                            bd.append('<div class="popup-overlay"></div>\
                                    <div class="popup popup-gold-confirm">\
                                        <div class="matter">萌主~系统将会扣除<b>' + coin + '</b>个宠币噢！</div>\
                                        <div class="btn-box">\
                                            <a class="btn btn-confirm-no opera-close">容我三思</a>\
                                            <a class="btn btn-confirm-yes opera-close">大试身手</a>\
                                            <a class="btn btn-close opera-close">关闭</a>\
                                        </div>\
                                    </div>');
                            $(".btn-confirm-yes").on("click", draw);
                        } else {
                            draw();
                        }
                    } else {
                        popupTips("今日的抽奖次数已用完~~");
                    }
                }
            });
        });



        //分享
        if (pet.isShare()) {
            pet.loadFile(pet.path + "app/js/haspet.js", function () {
                btnRotate.on("click", function () {
                    var btnLink = $(".fixed-tip-pet .btn-down").attr("href");
                    bd.append('\
                    <div class="popup-overlay"></div>\
                    <div class="popup popup-download">\
                        <a class="btn btn-download" href="' + btnLink + '">立即下载</a>\
                    </div>');
                });
            });
        }


    }
    lottery();


});


