﻿/**
 * 萌宠大比拼
 * Created by ZhaoHuanLei on 2015/10/6.
 */

var urlPath = "http://activity.ycw.com/";

$(function () {

    function closeDialog(callback) {
        $(".dialog-close").on("click", function () {
            $(".dialog").remove();
            if (callback) {
                callback();
            }
        });
    }

    //报名表单验证
    function applyValidate() {
        var main = $(".apply-main"),
            openid = $("[name=openid]").val(),
            picId = $("[name=picId]").val() || 0,
            inputName = main.find(".input-name"),
            inputTel = main.find(".input-tel"),
            btnSubmit = main.find(".btn-submit"),
            regexp= /^(0|86|17951)?(13[0-9]|15[012356789]|17[678]|18[0-9]|14[57])[0-9]{8}$/;
        btnSubmit.on("click", function () {
            var name = $.trim(inputName.val()),
                tel = $.trim($(".input-tel").val());
            if (!name) {
                alert("请输入您的姓名");
                inputName.focus();
            } else if (!tel || !regexp.test(tel)) {
                alert("请正确输入您的电话");
                inputTel.focus();
            } else {
                $.ajax({
                    dataType: "jsonp",
                    url: urlPath + "wanda/registration.do",
                    data: "openid=" + openid + "&name=" + encodeURI(encodeURI(name)) + "&tel=" + tel + "&jsonCallback=?",
                    success: function (json) {
                        if (json.id > 0) {
                            $("body").append('<div class="dialog dialog-apply"><a class="dialog-close" title="关闭"></a><a class="active-map" href="http://map.sogou.com/u/ADVn-3">查看万达广场位置</a></div>');
                            closeDialog(function () {
                                window.location.href = urlPath + "wanda/index.do?openid=" + openid + "&picId=" + picId;
                            });
                        }
                    },
                    error: function () {
                        alert("您已经报名过了！");
                    }
                });
            }
            return false;
        });
    }
    applyValidate();

    //火拼到底弹窗
    function fightPopup() {
        $(".btn-fight").on("click", function () {
            /*$("body").append('<div class="dialog dialog-fight"><a class="dialog-close" title="关闭"></a></div>');
             closeDialog();*/
            $(".share-tips").toggle();
        });
    }
    fightPopup();

    //投票
    function vote() {
        var picId = $("[name=picId]").val(),
            openid = $("[name=openid]").val(),
            profile = $(".rank-profile"),
            btnVote = profile.find(".btn-vote");
        btnVote.on("click", function () {
			alert("活动结束，已停止投票！");
            /*var self = $(this),
                index = btnVote.index(self) + 1,
                sum = self.next(),
                sumVal = Number(sum.html());
            $.ajax({
                dataType: "jsonp",
                url: urlPath + "wanda/vote.do",
                data: "openid=" + openid + "&picId=" + picId + "&i=" + index + "&jsonCallback=?",
                success: function (json) {
                    //console.log(json);
                    if (json.id > 0) {
                        sum.html(sumVal + 1);
                        alert("投票成功！");
                    } else {
                        alert("您今天已经投过票了");
                    }
                }
            });*/
        });
    }
    vote();

    //排行榜 菜单高亮
    function rankMenu() {
        var url = window.location.href,
            index = parseInt(url.split("i=")[1]) - 1 || 0,
            menu = $(".rank-menu a");
        menu.removeClass("current").eq(index).addClass("current");
    }
    rankMenu();


    //图片上传
    function photoUpload() {
        var inputFile = $(".input-file"),
            btnCamera= $(".btn-camera");
        inputFile.on("change", function(){
            var fileSize = inputFile[0].files[0].size / 1024;
            if (fileSize <= 5120) {
                btnCamera.click();
                $("body").append('<div class="loading-tips">上传中...</div>');
            } else {
                alert("图片不能大于5M！");
            }
        });
    }
    photoUpload();

    //兑奖
    function winningValidate() {
        var main = $(".winning-main"),
            openid = $("[name=openid]").val(),
            picId = $("[name=picId]").val() || 0,
            inputName = main.find(".input-name"),
            inputTel = main.find(".input-tel"),
            inputAddress = main.find(".input-address"),
            btnSubmit = main.find(".btn-submit"),
            regexp= /^(0|86|17951)?(13[0-9]|15[012356789]|17[678]|18[0-9]|14[57])[0-9]{8}$/;
        btnSubmit.on("click", function () {
            var name = $.trim(inputName.val()),
                tel = $.trim(inputTel.val()),
                address = $.trim(inputAddress.val());
            if (!name) {
                alert("请输入您的姓名");
                inputName.focus();
            } else if (!tel || !regexp.test(tel)) {
                alert("请正确输入您的电话");
                inputTel.focus();
            } else if (!address) {
                alert("请输入您的地址");
                inputAddress.focus();
            } else {
                $.ajax({
                    dataType: "json",
                    url: urlPath + "wanda/winner.do?openid=" + openid + "&name=" + name + "&tel=" + tel + "&address=" + address + "&jsonCallback=?",
                    success: function (json) {
                        if (json.id > 0) {
                            $("body").append('<div class="dialog dialog-winning"><a class="dialog-close" title="关闭"></a></div>');
                            closeDialog();
                        } else {
                            alert("服务器异常，请重新填写！");
                        }
                    }
                });
            }
            return false;
        });
    }
    winningValidate();

    //分享
    function share() {
        if (pet.isWeixin()) {
            var picId = $("[name=picId]").val() || 0,
                imgUrl = "http://res.ycw.com/app/images/topic/match/share.jpg";
            if ($(".rank-profile .photo img").length) {
                imgUrl = $(".rank-profile .photo img").attr("src");
            }
            pet.loadFile("http://res.ycw.com/app/js/wxshare.js?t=2015100820", function () {
                wxShare({
                    title: "有宠开Sai！萌犬大比拼，没有你的一票，我怎么拿999元大奖！",
                    img: imgUrl,
                    link: "https://open.weixin.qq.com/connect/oauth2/authorize?appid=wxf4466017457b72fa&redirect_uri=" + encodeURI(urlPath + "api/weixinCallback.do?picId=" + picId) + "&response_type=code&scope=snsapi_base&state=STATE&connect_redirect=1#wechat_redirect"
                });
            });
        }
    }
    share();

});
