﻿/**
 * 微信分享
 * Created by XiaoLei on 2015/7/18.
 *
 * var wxData = {
        title: "标题",
        desc: "描述
        img: "图片",
        link: "链接"
    };
    wxShare(wxData);
 */
var wxShare = function (wxData) {
    var wxData = wxData || {},
        title = wxData.title || $("title").text() || "有宠",
        desc = wxData.desc || $("meta[name=description]").attr("content") || "",
        img = wxData.img || "http://res.ycw.com/app/images/icon-x300.png",
        link = wxData.link || window.location.href,
        url = encodeURIComponent(window.location.href.split("#")[0]);
    $.ajax({
		dataType: "jsonp",
        url: pet.request+"weixin/share.do?url=" + url + "&jsonCallback=?",
        success: function(data){
			//console.log(data);
            pet.loadFile("http://res.wx.qq.com/open/js/jweixin-1.0.0.js", function () {

                var shareData = eval(data);
                //配置信息
                wx.config({
                    debug: false,
                    appId: "wxf4466017457b72fa",
                    timestamp: shareData.timestamp,
                    nonceStr: shareData.nonceStr,
                    signature: shareData.signature,
                    jsApiList: [
                        'onMenuShareTimeline',
                        'onMenuShareAppMessage',
                        'onMenuShareQQ',
                        'onMenuShareWeibo'
                    ]
                });

                //分享到...
                wx.ready(function () {
                    wx.onMenuShareTimeline({
                        title: title,
                        link: link,
                        imgUrl: img,
                        success: function () {},
                        cancel: function () {}
                    });
                    wx.onMenuShareAppMessage({
                        title: title,
                        desc: desc,
                        link: link,
                        imgUrl: img,
                        type: '',
                        dataUrl: '',
                        success: function () {},
                        cancel: function () {}
                    });
                    wx.onMenuShareQQ({
                        title: title,
                        desc: desc,
                        link: link,
                        imgUrl: img,
                        success: function () {},
                        cancel: function () {}
                    });
                    wx.onMenuShareWeibo({
                        title: title,
                        desc: desc,
                        link: link,
                        imgUrl: img,
                        success: function () {},
                        cancel: function () {}
                    });
                });

            })
        },
        error: function(xhr, type){
            console.log('Ajax error!')
        }
    });
};