/**
 * 智能设备
 * Created by ZhaoHuanLei on 2015/12/2.
 */

//自适应 rem计算
pet.adaptive();

$(function () {

    if (pet.isShare()) {
        pet.loadFile(pet.path + "app/js/haspet.js");
    }
    if (pet.isWeixin()) {
        pet.loadFile(pet.path + "app/js/wxshare.js", function () {
            wxShare({
                title: "有宠贝贝",
                desc: "宠物防丢健康管理神器"
            });
        })
    }
    pet.loadFile(pet.path + "app/js/emojiface.js", function () {
        $(".main .name").each(function () {
            var self = $(this);
            self.html(emojiface.code2Img(decodeURIComponent(self.text())));
        });
    });

    var places = parseInt($(".places").text()),
        iconCrown = $(".icon-crown");
    if (places > 0 && places <= 3) {
        iconCrown.addClass("icon-crown-" + places);
    }

    var char = $(".char");
    if (char.length) {
        pet.loadFile(pet.path + "app/js/radialIndicator.js", function () {
            function recalc() {
                var diff = $(window).width() / 320,
                    radius = diff * 46,
                    barWidth = diff * 8;
                //console.log(radius);
                char.each(function () {
                    var self = $(this),
                        barColor = self.data("bar-color"),
                        percent = self.data("percent");
                    self.find("canvas").remove();
                    var myRadial = radialIndicator(self[0], {
                        radius: radius,
                        barWidth: barWidth,
                        initValue: percent,
                        barBgColor: "#423c3d",
                        barColor: barColor,
                        roundCorner : true,
                        percentage: true,
                        displayNumber: false
                    });
                });
            }
            $(window).on("load resize", recalc);
        })
    }


});
