﻿/**
 * Created by zhaohuanlei on 2015/4/13.
 */

$(function () {


	//兑换商城轮播图

	pet.loadFile(pet.path + "app/js/swiper.min.js", function () {
		if ($(".exch-slide li").length > 1) {
			var exchangeSlide = new Swiper(".exch-slide", {
				pagination: ".slide-dot",
				loop: true,
				preventClicks: false,
				autoplay: 4000,
				paginationClickable: true,
				centeredSlides: true,
				autoplayDisableOnInteraction: false
			});
		}
		if ($(".new-swiper li").length > 3) {
			var newSwiper = new Swiper('.new-swiper', {
				slidesPerView: 'auto',
				loop: true,
				preventClicks: false,
				autoplay: 3000,
				paginationClickable: true,
				centeredSlides: true,
				autoplayDisableOnInteraction: false
			});
		}
	});

	//商品排序
	function productSort() {
		var sales = $(".sales"),
				salesLen = sales.length,
				isSnatch = sales.hasClass("snatch");
		if (salesLen) {
			$(".exch-new h2").text("双12六折爆款");
			var iconSnatch = isSnatch ? '<i class="icon icon-snatch"></i>' : '<i class="icon icon-sales"></i>';
			$(".exchange-detail .exch-slide").append(iconSnatch);
		}
		var exchProduct = $(".exch-product");
		if (exchProduct.length < 1) return;
		var win = $(window),
				coinCount = parseInt(pet.url.split("coinCount=")[1]) || "",
				menu = exchProduct.find(".sort-menu"),
				list = exchProduct.find("ul"),
				loading = $(".loading"),
				scrollTimer,
				dataTimer,
				isPrompt = false,
				isFirst = false,
				page = 1,
				size = 10,
				type = 1,
				menuTop = menu.offset().top,
				items = menu.find("a");
		function loadData() {
			//console.log(type);
			loading.show();
			//console.log(page);
			var items = "";
			clearTimeout(dataTimer);
			dataTimer = setTimeout(function  () {
				$.ajax({
					dataType: "jsonp",
					url: pet.scoreRequest + "store/data.do?page=" + page + "&size=" + size + "&type=" + type + "&jsonCallback=?",
					success: function (json) {
						//console.log(json);
						if (json.code == 2) {
							$(".loading").remove();
							if (! isPrompt) {
								prompt("木有了");
								isPrompt = true;
							}
							return;
						}
						var data = json.data;
						console.log(data);
						$.each(data, function (index, item) {
							var status = item.status,
									isActivity = item.isActivity,
									repertoryCount = item.repertoryCount,
									goldIcon = '<span class="gold">' + item.coinCount + '</span>',
									statusIcon = "";
							if (salesLen) {
								if (isActivity == 1) {
									statusIcon = '<i class="icon icon-snatch"></i>';
									goldIcon = '<span class="gold">' + item.coinActivity + '</span><del class="origin">' + item.coinCount + '</del>';
								} else {
									statusIcon ='<i class="icon icon-sales"></i>';
								}
								if (status == 3) {
									statusIcon = '<i class="icon icon-off">已下架</i>';
								}
							}
							if (!repertoryCount) {
								statusIcon = '<i class="icon icon-soldout">已抢光</i>';
							}
							items += '\
								<li>\
									<a href="goods.do?id=' + item.goodsId + '&coinCount=' + coinCount + '">\
										<span class="photo"><img src="' + item.icon + '_s300" alt=""/></span>\
										<span class="name">' + item.name + '</span>\
										'+ goldIcon +'\
										'+ statusIcon +'\
									</a>\
								</li>';
						});
						list.append(items);
						loading.hide();
						page++;
					}
				});
			}, 500);
		}
		items.each(function () {
			var item = $(this),
					isSelected = false,
					isInverted = false;
			item.on("click", function () {
				page = 1;
				isPrompt = false;
				menu.removeClass("sort-fixed");
				type = items.index($(this));
				isSelected = item.hasClass("selected");
				isInverted = item.hasClass("inverted");
				item.siblings().removeClass("selected inverted");
				if (isSelected) {
					if (! isInverted) {
						item.addClass("inverted");
						type = type * 2 + 2;
					} else {
						item.removeClass("inverted");
						type = type * 2 + 1;
					}
				} else {
					item.addClass("selected");
					type = type * 2 + 1;
				}
				list.html("");
				$(".loading").remove();
				exchProduct.append('<div class="loading">加载中...</div>');
				loadData();
				if (isFirst) {
					win.scrollTop(menuTop);
				}
				isFirst = true;
			});
		});
		items.eq(0).removeClass("selected").click();
		win.on("scroll touchmove", function () {
			var scrollTop = win.scrollTop(),
					winHeight = win.height(),
					docHeight = $(document).height(),
					diff = docHeight - winHeight - scrollTop;
			scrollTop >= menuTop ? menu.addClass("sort-fixed") : menu.removeClass("sort-fixed");
			if(diff <= 80) {
				loadData();
			}

		});
	}
	productSort();

	//倒计时
	function countdown() {
		var box = $(".countdown, .icon-date");
		function convert(num) {
			return num<10 ? "0"+num : num;
		}
		box.each(function () {
			var self = $(this),
					startTime = self.data("start-time"),
					endTime = self.data("end-time"),
					diff = endTime - startTime,
					isDate = self.hasClass("icon-date");
			function current() {
				if (diff < 1000) {
					if (isDate) {
						self.hide();
					}
					clearInterval(self.timer);
					return false;
				}
				diff -= 1000;
				var day = Math.floor(diff / (1000 * 60 * 60 * 24)),
						hours = Math.floor(diff / (1000 * 60 * 60)) % 24,
						minute = Math.floor(diff / (1000 * 60)) % 60,
						seconds = Math.floor(diff / 1000) % 60,
						result;
				if (isDate) {
					if (!day) {
						result = convert(hours) + ":" + convert(minute) + ":" + convert(seconds);
						self.html(result);
					}
				} else {
					result = "剩余时间：" + day + "天" + convert(hours) + "小时" + convert(minute) + "分" + convert(seconds) + "秒";
					self.html(result);
				}
			}
			current();
			self.timer = setInterval(current, 1000);
		});
	}
	countdown();



	//分享
	function sharePage() {
		var detail = $(".exchange-detail");
		if (detail.length < 1) return;
		var subject = $("h1").text(),
				desc = $.trim($(".list-attr p").last().text()) || "",
				img = $("img").eq(0).attr("src") || "http://res.ycw.com/app/images/icon-x300.png";
		//分享出去的页面
		if (pet.isShare()) {
			$(".exc-fixed").hide();
			$("title").text(subject);
			pet.loadFile(pet.path + "app/js/haspet.js");
		} else {
			var url = window.location.href,
					link = "youchong://sns/shareNew?title=" + encodeURI(subject) + "&content=" + encodeURI(subject) + "&icon=" + img + "&url=" + encodeURIComponent(url);
			//detail.append("<a class='active-share' href='"+ link +"'>分享</a>");
		}

		if (pet.isWeixin()) {
			pet.loadFile(pet.path + "app/js/wxshare.js", function( ) {
				var wxData = {
					title: subject,
					desc: desc,
					img: img
				};
				wxShare(wxData);
			});
		}

	}
	sharePage();

	//如果是ios则显示相关版权
	if (pet.isIos()) {
		$(".exch-copy").html("宠币相关活动与设备生产商Apple Inc.公司无关，<br/>最终解释权归有宠所有。");
	}
});